Content Dashboard: Sync Overview widget shows multiple statuses for a product, per each repo

contained therein.

08/04/2014 01:28 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1125999 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/452

5

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1125999

Description of problem:

I am not sure if this is related to the fix put in for bug #1121166

If user has a product, say, "sat6", and has a bunch of repos contained therein, upon syncing this product, an identical line item

appears in the widget for each repo contained in the product.

Version-Release number of selected component (if applicable):

Satellite-6.0.4-RHEL-6-20140730.0

How reproducible:

Steps to Reproduce:

1.  Create a product called "sat6", with repos "sat6-main", "sat6-capsule", "sat6-common".

2.  Sync this product

3.  Content Dashboard > Sync Overview widget

4. View results.

Actual results:

Duplicate statuses appear in the widget, 'n' times, like:

sat6    Success  Fri, 01 Aug 2014 14:29:21 +0000

Where n = the number of repos contained in your product.

Expected results:

Additional info:

Associated revisions

Revision 88f98982 - 08/05/2014 09:13 AM - David Davis

Fixes #6918,BZ1125999 - Removing dupe products in sync widget

Revision 14cd14e1 - 08/11/2014 11:52 AM - David Davis

Merge pull request #4525 from daviddavis/temp/20140804133452

Fixes #6918,BZ1125999 - Removing dupe products in sync widget

History

#1 - 08/04/2014 01:35 PM - The Foreman Bot
https://bugzilla.redhat.com/show_bug.cgi?id=1125999


- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4525 added

- Pull request deleted ()

#2 - 08/04/2014 09:55 PM - Eric Helms

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 08/11/2014 12:01 PM - David Davis

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|88f98982e512d0224152fcef05a1b8777297c6f3.

#4 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
